linuxsir首页 LinuxSir.Org | Linux、BSD、Solaris、Unix | 开源传万世,因有我参与欢迎您!
网站首页 | 设为首页 | 加入收藏
您所在的位置:主页 > Linux发行版Archlinux >

Linux Kernel远程缓冲区溢出漏洞(CVE-2017-5577)

时间:2017-02-10  来源:未知  作者:linuxsir首页
Linux Kernel远程缓冲区溢出漏洞(CVE-2017-5577)


发布日期:2017-02-02
更新日期:2017-02-08

受影响系统:

Linux kernel < 4.9.7

描述:


BUGTRAQ  ID: 95765
CVE(CAN) ID: CVE-2017-5577

Linux Kernel是Linux操作系统的内核。

Linux kernel < 4.9.7版本,VideoCore DRM驱动程序中drivers/gpu/drm/vc4/vc4_gem.c/vc4_get_bcl函数存在安全漏洞。本地用户用VC4_SUBMIT_CL ioctl调用内不同的大小值,可造成拒绝服务。

<*来源:Murray McAllister
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/torvalds/linux/commit/6b8ac63847bc2f958dd93c09edc941a0118992d9

https://bugzilla.redhat.com/show_bug.cgi?id=1416437

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6b8ac63847bc2f958dd93c09edc941a0118992d9

http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.7

友情链接